#include <SPI.h>
#include <TinyGPS++.h>
#include <SoftwareSerial.h>
#include <LiquidCrystal.h>
static const int RXPin = 9, TXPin = 10; //GPS communication
static const uint32_t GPSBaud = 9600;
LiquidCrystal lcd(2, 3, 4, 5, 6, 7);
TinyGPSPlus gps;
SoftwareSerial ss(RXPin, TXPin);

void setup()
{
 Serial.begin(9600);
  ss.begin(GPSBaud);
}

void loop()
{
  // affichage des informations a chaque bonne reception satellite
  while (ss.available() > 0){
    gps.encode(ss.read());
    if (gps.location.isUpdated()){
      Serial.print("latitude: ");
      Serial.print(gps.location.lat(), 6);
      Serial.print("  longitude: ");
      Serial.println(gps.location.lng(), 6);
      lcd.begin(16,2);
      lcd.clear();
      lcd.setCursor(1,0);
      lcd.print("GPS Signal");   
      lcd.setCursor(0,0);
      lcd.print("LAT:");
      lcd.setCursor(5,0);
      lcd.print(gps.location.lat(), 6);
      lcd.setCursor(0,1);
      lcd.print("LON:");
      lcd.setCursor(5,1);
      lcd.print(gps.location.lng(), 6);
   delay(1000);
 }            
  }    
   }
